> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Rownd JWK set

> Retrieve the current JWK set that validates Rownd-issued tokens



## OpenAPI

````yaml GET /hub/auth/keys
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /hub/auth/keys:
    get:
      tags:
        - hub
      description: Retrieve the current JWK set that validates Rownd-issued tokens
      operationId: hub_auth_keys
      responses:
        '200':
          description: Keys retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  keys:
                    type: array
                    items:
                      $ref: '#/components/schemas/JWK'
                      type: object
                    description: List of public JWKs for verifying Rownd JWTs
      security: []
components:
  schemas:
    JWK:
      properties:
        kty:
          type: string
          description: Key Type
          example: OKP
        alg:
          type: string
          description: Algorithm intended for use with the key
          example: EdDSA
        kid:
          type: string
          description: Key ID
          example: sig-1644937360
        use:
          type: string
          description: Intended use of the public key
          enum:
            - sig
            - enc
          example: sig
        crv:
          type: string
          description: Curve Name for Elliptic Curve Public Keys
          example: Ed25519
        x:
          type: string
          description: Base64url encoded public key value
          example: ChrFqbu1T7TTuLFg3o_coBNwqdm_O5Llok1dey0G2Tg
      additionalProperties: true
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT

````